package types

type SrcFile struct {
	Name  string
	Index int
}

// SrcFiles 按照 SrcFile.Index 从大到小排序
type SrcFiles []SrcFile

// Len 重写 Len() 方法
func (p SrcFiles) Len() int {
	return len(p)
}

// Swap 重写 Swap() 方法
func (p SrcFiles) Swap(i, j int) {
	p[i], p[j] = p[j], p[i]
}

// Less 重写 Less() 方法
// 使用不同字段进行对比，并依此排序，这里用了Index，可以更换成CreatedAt进行排序的
// 使用 < 从大到小排序，使用 > 从小到大排序
func (p SrcFiles) Less(i, j int) bool {
	return p[j].Index < p[i].Index
}
